import { Instruction } from "@orca-so/common-sdk";
import { PublicKey } from "@solana/web3.js";
import { Program } from "@project-serum/anchor";
import { Escrow } from "../artifacts/escrow";
export type InitProfileParams = {
    marketAccount: PublicKey;
    marketNativeVault: PublicKey;
    caller: PublicKey;
    user: PublicKey;
    tokenMint: PublicKey;
    profilePubkey: PublicKey;
    profileBump: number;
};
export declare function initProfile(program: Program<Escrow>, params: InitProfileParams): Promise<Instruction>;
