import { Instruction } from "@orca-so/common-sdk";
import { PublicKey } from "@solana/web3.js";
import { Program } from "@project-serum/anchor";
import { Escrow } from "../artifacts/escrow";
export type SetProfileParams = {
    marketAccount: PublicKey;
    amlPolicyAuthority: PublicKey;
    user: PublicKey;
    tokenMint: PublicKey;
    profilePubkey: PublicKey;
    level: number;
};
export declare function setProfile(program: Program<Escrow>, params: SetProfileParams): Promise<Instruction>;
